import React from 'react';
import ReactDOM from 'react-dom';
import { LocalForm, Control, Errors } from 'react-redux-form';

export default class MyApp extends React.Component {
  handleSubmit(values) { /* ... */ }

  render() {
    return (
      <LocalForm
        model="user"
        onSubmit={(values) => this.handleSubmit(values)}
      >
        <Control.text
          model=".username"
          placeholder="Username"
          validateOn="blur"
          required
        />
        <Errors
          model=".username"
          messages={{
            valueMissing: 'Please enter your username.',
          }}
        />
        <Control
          type="password"
          model=".password"
          placeholder="Password"
          validateOn="blur"
          required
          minLength={8}
        />
        <Errors
          model=".password"
          messages={{
            valueMissing: 'Please enter your password.',
            tooShort: 'Must be at least 8 characters.',
          }}
        />
        <Control.button
          model="user"
          disabled={{ valid: false }}
        >
          Submit!
        </Control.button>
      </LocalForm>
    );
  }
}

ReactDOM.render(
    <MyApp />
, document.querySelector('#app'));
